## org.apache.fop.fo
Class Property

    java.lang.Object
      |
      +--org.apache.fop.fo.Property

Direct Known Subclasses:
  CharacterProperty, ColorTypeProperty, CondLengthProperty, EnumProperty, KeepProperty, LengthProperty, LengthRangeProperty, NCnameProperty, NumberProperty, SpaceProperty, StringProperty, SVGD, SVGLengthListProperty, SVGLengthProperty, SVGPoints, SVGStringProperty, SVGStyle, SVGTransform, TextProperty

public class Property
extends java.lang.Object

Inner Class Summary
`static class` `Property.Maker`

Constructor Summary
`Property()`

Method Summary
`char` `getCharacter()`
`ColorType` `getColorType()`
`CondLength` `getCondLength()`
`int` `getEnum()`
`Keep` `getKeep()`
`Length` `getLength()` Accessor functions for all possible Property datatypes
`LengthRange` `getLengthRange()`
`java.lang.String` `getNCname()`
`java.lang.Number` `getNumber()`
`Numeric` `getNumeric()`
`java.lang.Object` `getObject()`
`Space` `getSpace()`
`java.lang.String` `getSpecifiedValue()` Return the original value specified for the property attribute.
`java.lang.String` `getString()`
`void` `setSpecifiedValue(java.lang.String specVal)` Set the original value specified for the property attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Property

    public Property()

Method Detail

### setSpecifiedValue

    public void setSpecifiedValue(java.lang.String specVal)

  Set the original value specified for the property attribute.
  Parameters:
    `specVal` - The specified value.

### getSpecifiedValue

    public java.lang.String getSpecifiedValue()

  Return the original value specified for the property attribute.
  Returns:
    The specified value as a String.

### getLength

    public Length getLength()

  Accessor functions for all possible Property datatypes

### getColorType

    public ColorType getColorType()

### getCondLength

    public CondLength getCondLength()

### getLengthRange

    public LengthRange getLengthRange()

### getSpace

    public Space getSpace()

### getKeep

    public Keep getKeep()

### getEnum

    public int getEnum()

### getCharacter

    public char getCharacter()

### getNumber

    public java.lang.Number getNumber()

### getNumeric

    public Numeric getNumeric()

### getNCname

    public java.lang.String getNCname()

### getObject

    public java.lang.Object getObject()

### getString

    public java.lang.String getString()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.